#ifndef LOADMOVIE_H
#define LOADMOVIE_H

#include <QThread>
#include <QMovie>
#include "kylinimagecodec_global.h"

class LoadMovie : public QThread
{
    Q_OBJECT

Q_SIGNALS:
    void loadMovieFinish(const QString &path);

public:
    LoadMovie(QList<QImage> *list, QMovie *movie);
    std::atomic<bool> isRunning {true};

protected:
    void run();

private:
    QList<QImage> *m_list = nullptr;
    QMovie *m_movie = nullptr;
};

#endif // LOADMOVIE_H
